/*ESTILOS GENERALES*/
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --color-principal: #022030  !important;
}

html{
    height: 100%;
      margin: 0;
  padding: 0;
    font-size: 16px;
}

body {
  font-family: "Work Sans", sans-serif;  
  color: #464545;
  height: 100%;
  font-weight: 400;
  font-size: 1rem;
    margin: 0;
  padding: 0;
}  

header{
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
}

.video-fondo {
  width: 100%;
  height:82vh;
  object-fit: cover; /* Mantiene el video centrado y recortado */
  z-index: -1; /* Lo coloca detrás del contenido */
  margin: 0;
  display: block;
}


.header{
  margin: 0;
  padding: 0;
}

.header-option{
  background-color:#202020;
  text-align: right;
  padding: 5px;
}

.menu {
  display: flex;
  justify-content: space-between; /* Espacio entre logo y menú */
  color: #ffffff;
  padding: 10px 0px 10px 0px;
  width: 68%;
  /*text-transform: uppercase;*/
}

.mainmenu {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

.logo {
  cursor: pointer;
}

.logo img {    
  height: 100px;
  border: none;
} 

.logo a:focus {
  border: none; 
  outline:none !important; 
}

.header-contenido{
  position: fixed;
  top: 0%;
  background-color: transparent;
  display: flex;
  justify-content: space-between;
  width: 100%;
  /*align-items: center;*/
  justify-content: center;
  z-index: 10;
}

.header-contenido.scrolled{
  background-color: #2ae0d1e6; /* fondo blanco semitransparente */
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.9);
  backdrop-filter: blur(8px); /* efecto de desenfoque elegante (opcional) */
  opacity: 1;
}

.header-texto {
  position: absolute;
  top: 45%;
  left: 600px;
  transform: translate(-50%, -50%);
  color: white;
  z-index: 2;
}

.header-box {
  position: relative;
  padding: 50px;
}

.header-box .home-box{
  flex: 1;
  background-color: #f1f1f1;
  border-radius: 14px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 10px;
  position: relative;
  z-index: 2; /* por si está sobre un video */
  color: #383838;
  min-height: 220px;
  margin-bottom: 20px;
  border-radius: 12px;
  padding: 20px 20px 0 20px; 
  position: relative;
  z-index: 1;
}


.header-box .home-box img {
  border-radius: 12px;
  position: relative;
  top: -40px; /* hace que sobresalga por encima */
  height: 50px;
}

/* Estilo para que la imagen del header ocupe el 30% de la pantalla */
.header-image {
  width: 30%;
}

/* Alineación centrada de contenido en el header */
.header-content {
  width: 40%;
  margin-top: 100px;
}

/*MAIN*/

.main{
  margin-bottom: 0;
  margin-top: 0;
  font-size: 1.2em;
}


.news{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
  gap: 30px;
  font-size: 1rem;
  margin-bottom: 40px;
}

.new {
  background-color: #f2f2f2;
  display: flex;
  justify-content: space-between;
  width: calc(50% - 30px);
  gap: 10px;
}

.new-img{
  width: 50%;
}

.new-img img{
  width: 100%;
  object-fit: cover;
}

.new-content {
  width: 50%;
}

.new-content {
  width: 50%;
  text-decoration: none;
  font-size: 0.9em;
  color: #022030;
}

a:hover.new-content {
  text-decoration: none;
}



.main .info{
  background-color:#ebf8f7;
  color: #ffffff;
  padding: 140px 0 0 0;
  font-size: 1.2em;
  font-weight: 300;
  width: 100%;
  text-align: right;

  height: 600px;
  background-image: url('images/fondo_info4.jpg');
  background-size: cover;       /* La imagen cubre todo el div */
  background-position: bottom;  /* Centra la imagen */
  background-repeat: no-repeat; /* Evita que se repita */

}

.main .events{
  background-color:#ebf8f7;
  color: #ffffff;
  padding: 20px 0 20px 0;
  font-size: 1em;
  margin: 0;
}

.main .events .table{
  --bs-table-bg: transparent;
}

.main .events .table tr{
  vertical-align: middle;
}

/* FOOTER */
.footer {
  background-color: rgb(36, 36, 36);
  color: #ffffff;
  padding: 20px;
  margin: 0;
  padding: 100px;
}

.footer-message{
  text-align: center;
  background: #363636;
  color: rgb(255, 255, 255);
  text-align: center;
  font-size: 0.8em;
  
}

.main .actividades-home{
  display: flex;
  justify-content: space-between;
}

 /* Style the tab */
 .tab {  
  width: 40%;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  display: block;
  background-color: transparent;
  color: rgb(56, 56, 56);
  padding: 5px 0;
  width: 100%;
  border: none;
  outline: none;
  text-align: left;
  cursor: pointer;
  font-weight: 600;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: transparent;
  color: #000000;
}

/* Create an active/current "tab button" class */
.tab button.active {
  background-color:#6ed1d3;
}

/* Style the tab content */
.tabcontent {
  width: 60%;
  border-left: none;
  height: 300px;
  display: none;
  font-weight: 300;
  font-size: 0.8em;
} 

.main .tabcontent button{
  background-color: #000000;
  color: #FFFFFF;
  border: 0;
  padding: 10px 20px 10px 20px;
  font-weight: 500;
}

.actividades{
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  gap: 20px;
  width: 100%;
  font-size: 1rem;
  margin-bottom: 20px;
}

.actividad {
  flex: 1 1 30%;
}

.actividad-img{
  width: 100%;
  height: 250px;
  overflow: hidden;
  border-radius: 5px;
  max-width: 420px;
}

.actividad-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all .3s ease;
}


.actividad-img img:hover {
  transform: scale(1.2);
}

.actividad-content {
  text-decoration: none;
  color: #022030;
  max-width: 420px;
}

.actividad-fecha {
  border-bottom: 1px solid #000000;
  font-weight: 200;
}

.actividad-categoria {
  background-color: #000000;
  color: #FFFFFF;
  display: inline-block;
  margin-top: 20px;
  padding: 2px 6px 2px 6px;
}


a:hover.actividad-content {
  text-decoration: none;
}

@media (width <= 1200px){
  .actividad {
    flex: 1 1 100%;
  }

  /* Alineación centrada de contenido en el header */
  .header-content {
    width: 100%;
    margin-top: 50px;
  }

  .header-texto {
    width: 90%;
    left: 50%;
  }

}

